Retrieve Available Geo-locations

Retrieve a list of available geo-locations, including countries, cities, states, and ASNs that you can use for geo-targeting your proxy requests.

Supported Service Types

This endpoint supports the following proxy services:

Service TypeDescription
PREMIUM-RESIDENTIALPremium residential proxies
ROTATING-DATACENTERRotating datacenter proxies
UNLIMITED-RESIDENTIALUnlimited residential proxies

Replace the service type in the request URL with the one you want to query.

Request

Premium Residential

curl -X GET "https://monitor.geonode.com/services/PREMIUM-RESIDENTIAL/targeting-options" \
     -u geonode_username:password

Rotating Datacenter

curl -X GET "https://monitor.geonode.com/services/ROTATING-DATACENTER/targeting-options" \
     -u geonode_username:password

Unlimited Residential

curl -X GET "https://monitor.geonode.com/services/UNLIMITED-RESIDENTIAL/targeting-options" \
     -u geonode_username:password

Response

200 Success

Returns the available geo-targeting options for the selected proxy service.

Response Structure

The response is an array of country objects.

FieldTypeDescription
codestringISO 3166-1 alpha-2 country code
namestringFull country name
citiesobjectAvailable city-level targeting options
cities.prefixstringPrefix used for city targeting (for example, -city-)
cities.optionsarrayAvailable cities
statesobjectAvailable state-level targeting options
states.prefixstringPrefix used for state targeting (for example, -state-)
states.optionsarrayAvailable states
asnsobjectAvailable ASN-level targeting options
asns.prefixstringPrefix used for ASN targeting (for example, -asn-)
asns.optionsarrayAvailable ASNs

Example Response

[
  {
    "code": "AF",
    "name": "Afghanistan",
    "cities": {
      "prefix": "-city-",
      "options": [
        {
          "code": "kabul",
          "name": "Kabul"
        }
      ]
    },
    "states": {
      "prefix": "-state-",
      "options": [
        {
          "code": "kabul",
          "name": "Kabul"
        }
      ]
    },
    "asns": {
      "prefix": "-asn-",
      "options": [
        {
          "code": "131284",
          "name": "AS131284 Etisalat Afghan"
        }
      ]
    }
  }
]

On this page